Skip to main content
GET
/
v3
/
wallet
Wallet search
curl --request GET \
  --url https://api.sandbox.finsei.com/v3/wallet \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": 123,
    "uuid": "<string>",
    "balance": 123,
    "balanceLock": "<unknown>",
    "balanceInProgress": 123,
    "currencyId": "<string>",
    "description": "<string>",
    "data": {
      "type": "BANK",
      "accountId": "<string>",
      "details": [
        {}
      ]
    },
    "flags": {
      "isVisible": true,
      "isFavourite": true
    },
    "status": "ACTIVE",
    "color": "<string>",
    "name": "<string>",
    "updatedAt": 1722000000000,
    "permissions": {
      "canPay": true,
      "canTopUp": true,
      "canTopUpFromWallet": true,
      "canCurrencyExchange": true,
      "canCardCreate": true,
      "canCardChipAndPinOrder": true,
      "canCardVirtualOrder": true,
      "canCardDisposableOrder": true,
      "canClose": true,
      "canExportPDF": true,
      "canExportCSV": true,
      "canExportXML": true,
      "canCryptoBuy": true,
      "canCryptoSell": true
    },
    "currency": {
      "id": "<string>",
      "name": "<string>"
    },
    "transferSourceWalletId": [
      123
    ],
    "transferTargetWalletId": [
      123
    ]
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

status
enum<string>
Available options:
ACTIVE,
BLOCKED,
CLOSED
isVisible
enum<integer>
Available options:
0,
1
isFavourite
enum<integer>
Available options:
0,
1
name
string
expand
enum<string>[]
Available options:
currency,
transferSourceWalletId,
transferTargetWalletId
page
integer
per-page
integer
sort
string

Enter a field name to sort by (with a minus to sort desc):

id: sort asc -id: sort desc

Response

OK

id
integer
uuid
string
balance
number
balanceLock
any
balanceInProgress
number
currencyId
string
Maximum string length: 3
description
string
Maximum string length: 255
data
object
flags
object
status
enum<string>
Available options:
ACTIVE,
BLOCKED
color
string
Maximum string length: 7
name
string
updatedAt
integer
Example:

1722000000000

permissions
object
currency
object
transferSourceWalletId
integer[]
transferTargetWalletId
integer[]